com.hazelcast.jet

## Class RestartableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.jet.JetException
          - - com.hazelcast.jet.RestartableException

- All Implemented Interfaces:
    Serializable

      public class RestartableException
      extends JetException

  Exception to throw from job-executing methods to indicate a failure that can be resolved by restarting the job.

  It is handled when thrown from:

  - `Processor` methods
  - lambda functions: key & timestamp extractors, map functions...
  - sources/sinks
  - `init()` method in `Processor`, `ProcessorSupplier` and `ProcessorMetaSupplier` (but not their `close()` methods)
  - ...
  If this exception is caught, the job will be terminated abruptly and restarted (if `so configured`).
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestartableException()`
    `RestartableException(String message)`
    `RestartableException(String message, Throwable cause)`
    `RestartableException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RestartableException

          public RestartableException()

    - #### RestartableException

          public RestartableException(String message)

    - #### RestartableException

          public RestartableException(String message,
                                      Throwable cause)

    - #### RestartableException

          public RestartableException(Throwable cause)

Copyright © 2020. All rights reserved.